> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all offer filter options

> List all filter options for offer listing data.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /offer/filter-options
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /offer/filter-options:
    parameters: []
    get:
      tags:
        - Filter Options
      summary: List all offer filter options
      description: List all filter options for offer listing data.
      operationId: list-offer-filter-options
      parameters:
        - name: listing_type
          in: query
          description: name of listing api
          required: true
          schema:
            $ref: '#/components/schemas/FilterOptionListingType'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  content:
                    properties:
                      filter_options:
                        $ref: '#/components/schemas/FilterOptions'
                    type: object
components:
  schemas:
    FilterOptionListingType:
      title: FilterOptionListingType
      type: string
      enum:
        - attributes-set
        - categories
        - coupons
        - customer-attributes
        - customers
        - inventories
        - inventory-activities
        - loyalty-activities
        - loyalty-members
        - marketplace-inventory-activities
        - marketplace-listing
        - marketplace-products
        - marketplace-products-channels
        - media-files
        - media-folders
        - orders
        - payments
        - pos-devices
        - product-attributes
        - products
        - promotions
        - shipments
        - visitors
        - webhook-deliveries
        - webhook-events
        - seller-payout-config
        - seller-payout-batches
        - analytics-sessions
        - invoice
    FilterOptions:
      title: FilterOptions
      type: object
      required:
        - fields
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/FilterOptionsField'
        events:
          description: >-
            optional. by default empty array will be returned if events are not
            required in filters. 
          type: array
          items:
            $ref: '#/components/schemas/FilterOptionsEvent'
        attributes:
          description: >-
            optional. by default empty array will be returned if attributes are
            not required in filters. 
          type: array
          items:
            $ref: '#/components/schemas/FilterOptionsAttribute'
        segments:
          description: >-
            optional. by default empty array will be returned if segments are
            not required in filters. 
          type: array
          items:
            $ref: '#/components/schemas/FilterOptionsSegment'
      x-tags:
        - Filter Options
    FilterOptionsField:
      title: FilterOptionsField
      type: object
      properties:
        name:
          type: string
        data_type:
          enum:
            - string
            - number
            - datetime
            - boolean
            - list
        label:
          type: string
        filterable:
          type: boolean
        sortable:
          type: boolean
        value:
          type:
            - array
            - 'null'
          items:
            type:
              - string
              - object
              - number
      x-tags:
        - Filter Options
    FilterOptionsEvent:
      title: FilterOptionsEvent
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      x-tags:
        - Filter Options
    FilterOptionsAttribute:
      title: FilterOptionsAttribute
      type: object
      properties:
        name:
          type: string
        data_type:
          enum:
            - string
            - number
            - datetime
            - boolean
            - list
        label:
          type: string
        filterable:
          type: boolean
        sortable:
          type: boolean
        value:
          type:
            - array
            - 'null'
          items:
            type: string
      x-tags:
        - Filter Options
    FilterOptionsSegment:
      title: FilterOptionsEvent
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      x-tags:
        - Filter Options
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````